Cowdidocs
API ReferenceAgent commissions

Get agent commission

GET
/v1/agents/{userId}/commissions

Path Parameters

userId*string
Formatuuid

Query Parameters

from*string

Start of time range (inclusive), ISO-8601 with timezone

Formatdate-time
to*string

End of time range (exclusive), ISO-8601 with timezone

Formatdate-time
model_id?string

Specific calculation model ID (e.g., 'default')

Response Body

application/json

curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/commissions?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"
{  "agent_user_id": "10fd0551-5cc1-4920-817b-63bd803087a9",  "from": "2019-08-24T14:15:22Z",  "to": "2019-08-24T14:15:22Z",  "total_commission": 0,  "transaction_commissions": 0,  "penalties": 0,  "penalty_reversals": 0,  "currency": "string",  "event_count": 0,  "model_id": "string",  "line_items": [    {      "event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",      "event_type": "string",      "reference_id": "string",      "amount": 0,      "description": "string",      "event_occurred_at": "2019-08-24T14:15:22Z",      "is_supervisor_commission": true    }  ]}